using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class EmployeesAccess  : Daolite.BusinessAccess
	{

		public  EmployeesAccess() : base("Employees", NwindConfiger.GetConfiger())
		{
		}


		public Employees[] Query()
		{
			return base.Query<Employees>();
		}


		public Employees[] QueryRelated()
		{
			return base.QueryRelated<Employees>();
		}


		public Employees QueryOne(long EmployeeID, bool isRelated)
		{
			return base.QueryOne<Employees>(new Daolite.DataStruct.KeyPairs()
			.Add("EmployeeID", EmployeeID)
			, isRelated);
		}


	}
}
